Subject: bug#28803: [PATCH] Fixed compiler warnings for advised functions.

From: John Williams <[email-masked]>
Date: Sat, 21 Oct 2017 19:23:35 -0700

Hooray, my first official contribution to Emacs! Now I have code—not much,
but some—in both Emacs and Vim, which I have to think is pretty rare.

BTW, is posting to this list really the best way to send patches? At my
job, all changes go through a code review tool similar to Gerrit
<https://www.gerritcodereview.com/>, with code uploaded using a command
analogous to "git push", so sending a patch as an email attachment feels
clumsy and anachronistic.

On Oct 21, 2017 4:33 PM, "Noam Postavsky" <[email-masked]>
wrote:

> tags 28803 fixed
> close 28803 26.1
> unarchive 14860
> merge 28803 14860
> quit
>
> Noam Postavsky <[email-masked]> writes:
>
> > John Williams <[email-masked]> writes:
> >
> >> Oops. Is there anything that can be salvaged from my patch? Aside
> >> from fixing the bug, it also adds a unit test and refactors the logic
> >> for finding a function's argument list into a separate function
> >> that's not part of the help system.
> >
> > We could add the test, it seems to be passing in emacs-26.
>
> I've pushed the test.
>
> [1: 237e96bc52]: 2017-10-21 19:20:46 -0400
>   Test that advice doesn't trigger bytecomp warnings (Bug#28803)
>   https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=237e9
> 6bc5259e59ac5623a93a47f64abffab4e0b
>